Bug 212915 - Make ReadableStream robust against user code
Summary: Make ReadableStream robust against user code
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-06-08 13:07 PDT by Yusuke Suzuki
Modified: 2020-06-17 01:56 PDT (History)
9 users (show)

See Also:


Attachments
Patch (16.62 KB, patch)
2020-06-15 09:52 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yusuke Suzuki 2020-06-08 13:07:23 PDT
https://bugs.webkit.org/show_bug.cgi?id=212715#c4
Comment 1 Radar WebKit Bug Importer 2020-06-08 13:40:27 PDT
<rdar://problem/64133221>
Comment 2 youenn fablet 2020-06-15 09:52:09 PDT
Created attachment 401902 [details]
Patch
Comment 3 EWS 2020-06-17 01:55:59 PDT
Committed r263141: <https://trac.webkit.org/changeset/263141>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 401902 [details].